local T, C, L, _ = unpack(select(2, ...))
if C.skins.blizzard_frames ~= true then return end

----------------------------------------------------------------------------------------
--	Arena skin
----------------------------------------------------------------------------------------
local function LoadSkin()
	LFGParentFrame:StripTextures(true)
	LFGParentFrame:CreateBackdrop("Transparent")
	LFGParentFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFGParentFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFGFrame:StripTextures()
	LFGFrame:CreateBackdrop("Transparent")
	LFGFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFGFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFMFrame:StripTextures()
	LFMFrame:CreateBackdrop("Transparent")
	LFMFrame.backdrop:SetPoint("TOPLEFT", 10, -12)
	LFMFrame.backdrop:SetPoint("BOTTOMRIGHT", -32, 76)

	LFMFrameInset:StripTextures()
	LFMFrameInset:ClearAllPoints()
	LFMFrameInset:SetPoint("TOPLEFT", LFMFrameColumnHeader1, "BOTTOMLEFT", 0, -4)
	LFMFrameInset:SetPoint("BOTTOMRIGHT", LFMFrameColumnHeader4, "BOTTOMRIGHT", 0, -266)
	LFMFrameInset:SetTemplate("Overlay")

	for i = 1, 3 do
		local Type = _G["LFGFrameTypeDropDown"..i]
		local Activity = _G["LFGFrameActivityDropDown"..i]
		local Shine =  _G["LFGSearchIcon"..i.."Shine"]
		local bg = _G["LFGSearchBg"..i]
		local icon = _G["LFGSearchIcon"..i]
		T.SkinDropDownBox(Type, 245)
		T.SkinDropDownBox(Activity, 245)

		Shine:SetTemplate("Transparent")
		Shine:SetBackdropColor(0, 0, 0, 0)
		
		--bg:SetTexture("Interface\\Icons\\INV_Misc_QuestionMark")
	end

	T.SkinEditBox(LFGComment, 300)

	LFGFrameClearAllButton:SkinButton()
	LFGFramePostButton:SkinButton()

	T.SkinTab(LFGParentFrameTab1)
	T.SkinTab(LFGParentFrameTab2)

	T.SkinDropDownBox(LFMFrameTypeDropDown, 130)
	T.SkinDropDownBox(LFMFrameActivityDropDown, 215)
	LFMFrameActivityDropDown:ClearAllPoints()
	LFMFrameActivityDropDown:SetPoint("LEFT", LFMFrameTypeDropDown, "RIGHT", -10, 0)

	LFMFrameSearchButton:SkinButton()
	LFMFrameSendMessageButton:SkinButton()
	LFMFrameGroupInviteButton:SkinButton()

	for i = 1, 4 do
		local frame = _G["LFMFrameColumnHeader"..i]
		frame:SkinButton()
	end

	local CloseButton = select(3, LFGParentFrame:GetChildren())
	T.SkinCloseButton(CloseButton)
	CloseButton:SetPoint("TOPRIGHT", -36, -16)	
end

table.insert(T.SkinFuncs["ShestakUI"], LoadSkin)